[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# DTToUnixDate (platform)

Convert a DateTime to Unix timestamp

## Declaration

Source position: dos.pp line 52

`function DTToUnixDate(`
`DT: DateTime`
`):LongInt;`

## Description

DTToUnixDate converts the DateTime value in DT to a Unix timestamp. It is an internal function, implemented on Unix platforms, and should not be used.

## Errors

None.

## See also

UnixDateToDT |  | Convert a Unix timestamp to a DateTime record
PackTime |  | Pack DateTime value to a packed-time format.
UnpackTime |  | Unpack packed file time to a DateTime value
GetTime |  | Return the current time
SetTime |  | Set system time